git-annex/ git-annex-required

# NAME

git-annex required - get or set required content expression

# SYNOPSIS

git annex required `repository [expression]`

# DESCRIPTION

When run with an expression, configures the content that is required to be held in the repository.

Without an expression, displays the current required content setting of the repository.

While git-annex-wanted(1) is just a preference, this designates content that should really not be removed. For example a file that is `wanted` can be removed with `git annex drop`, but if that file is `required`, it would need to be removed with `git annex drop --force`.

Also, `git-annex fsck` will warn about required contents that are not present.

For example:

    git annex required here "include=*.mp3 or include=*.ogg"

To return a repository to the original default behavior, use an empty value for the expression, eg:

    git-annex required here ""

# OPTIONS

- The git-annex-common-options(1) can be used.

# NOTES

The `required` command was added in git-annex 5.20150420.

# SEE ALSO

git-annex(1)

git-annex-wanted(1)

git-annex-preferred-content(1)

# AUTHOR

Joey Hess id@joeyh.name

Warning: Automatically converted into a man page by mdwn2man. Edit with care.

Comments on this page are closed.